using System.Drawing;
using SdlDotNet.Graphics;

namespace ProjectKraehwinkel
{
    internal class Tile
    {
        public Gebaeude inhalt;
        public Surface m_Surface;

        public Tile(Surface surf, Gebaeude inhalt) 
        {
            m_Surface = surf;
            this.inhalt = inhalt;
        }

        public Surface Surface
        {
            get { return m_Surface; }
            set { m_Surface = value; }
        }

        public Size Size
        {
            get { return new Size(m_Surface.Width, m_Surface.Height); }
        }
    }
}
